Subject: Re: TCP implication of 2292bis

From: Tim Hartrick <[email-masked]>
Date: Mon, 17 Dec 2001 13:50:36 -0800 (PST)

Itojun,

> 
> >> So I prefer simplest definition to implement such feature if it is
> >> included in the specification.  That's why I think current specification
> >> (-03 draft) is better.
> >Simplest is in the eye of the beholder.  We have implemented the -02
> >behavior and the -03 behavior in the past.  I would not agree that the -03
> >behavior is simpler is any respect.
> 
> 	the major problem I'm seeing for -02 definition is that there's no
> 	relationship defined (impossible) between the normal TCP data stream
> 	and ancillary data segments.  I personally in favor of -03 definition.
> 

So?  I didn't realize that having such a relationship had become a requirement.
If it is, the -03 behavior certainly doesn't meet the requirement either.  In
fact it is substantially further from meeting it than -02.

Tim Hartrick
Mentat Inc.

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: [email-masked]
Date: Tue, 18 Dec 2001 07:07:20 +0900

>fact it is substantially further from meeting it than -02.

	that is not what I meant.  what I'm saying is, since it is impossible
	to grab extension header together with the data stream come into the
	TCP data stream portion, -03 definition looks more simple.  there's no
	real need to put extension headers to ancillary data.

itojun